org.eclipse.wst.jsdt.debug.core.jsdi.request

## Interface StepRequest

All Superinterfaces:
  EventRequest, Mirror

    public interface StepRequest
    extends EventRequest

Description of a JSDI request for a step operation.

Since:
  1.0
See Also:
  `EventRequest`, `ThreadReference`
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `STEP_INTO` Kind for a step into request
`static int` `STEP_OUT` Kind for a step out request
`static int` `STEP_OVER` Kind for a step over request

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `step()` Returns the kind of the `StepRequest`
`ThreadReference` `thread()` The underlying `ThreadReference` this `StepRequest` is for.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.request.EventRequest

`isEnabled, setEnabled`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Field Detail

#### STEP_INTO

    static final int STEP_INTO

Kind for a step into request

See Also:
  Constant Field Values

#### STEP_OVER

    static final int STEP_OVER

Kind for a step over request

See Also:
  Constant Field Values

#### STEP_OUT

    static final int STEP_OUT

Kind for a step out request

See Also:
  Constant Field Values

### Method Detail

#### step

    int step()

Returns the kind of the `StepRequest`

Returns:
  the kind of the `StepRequest`
See Also:
  `STEP_INTO`, `STEP_OUT`, `STEP_OVER`

#### thread

    ThreadReference thread()

The underlying `ThreadReference` this `StepRequest` is for.
This method cannot return `null`

Returns:
  the underlying `ThreadReference` never `null`